Subject: Questions about OSPF for IPv6

From: "Li, Ke Qin (Peter)" <[email-masked]>
Date: Thu, 19 Apr 2001 16:07:01 +0800

Hi all,
 
I have two questions about OSPF for IPv6:
 
1. How should Router IDs be assigned while they can no longer be assigned as
addresses?
 
2. In section 2.8, "Router interface information may be spread across
multiple Router LSAs." I think it's a tradeoff between packet size and LSD
size. Why do we perfer smaller packet size in OSPF for IPv6 instead of
smaller LSD size in OSPF for IPv4?
 
Thanks a lot.

Li, Keqin (Peter) 

Tel: 86 10 6874 8088x8438 
Fax: 86 10 6874 8225 
Email: [email-masked] 
Add: 3th /F, Aero Space Great Wall Building 
        No. 30, Hai Dian Nan Lu 
        Beijing, 100080 China 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Yasuhiro Ohara <[email-masked]>
Date: Thu, 19 Apr 2001 17:55:03 +0900

keqinli> Hi all,
keqinli>  
keqinli> I have two questions about OSPF for IPv6:
keqinli>  
keqinli> 1. How should Router IDs be assigned while they can no longer
keqinli> be assigned as addresses?

It is left configurable.

For example, WIDE Project took one of the IPv4 addresses as Router-ID
since the router trying to speak OSPFv3 actually speaks IPv4 too.

[email-masked]> show ipv6 ospf6 neighbor
RouterID        Pri State    DR              BDR
I/F[State]
203.178.140.204   1 Full     0.0.0.0         0.0.0.0         pvc2[PointToPoint]
203.178.140.236   1 Full     0.0.0.0         0.0.0.0         pvc3[PointToPoint]
203.178.137.103   1 Full     0.0.0.0         0.0.0.0         pvc4[PointToPoint]
203.178.138.235   1 Full     203.178.142.198 203.178.138.235 fxp0[DR]
203.178.141.202   1 Full     0.0.0.0         0.0.0.0         pvc0[PointToPoint]

keqinli> 2. In section 2.8, "Router interface information may be spread across
keqinli> multiple Router LSAs." I think it's a tradeoff between packet size and LSD
keqinli> size. Why do we perfer smaller packet size in OSPF for IPv6 instead of
keqinli> smaller LSD size in OSPF for IPv4?

I don't think it's a tradeoff. It is a intension to support the case
if the LSD size is larger than the Maximum LSA size which is due to
the Maximum OSPF packet size (65,535 bytes).

From RFC2740:

A.1 Encapsulation of OSPF packets

   OSPF runs directly over the IPv6's network layer.  OSPF packets are
   therefore encapsulated solely by IPv6 and local data-link headers.

   OSPF does not define a way to fragment its protocol packets, and
   depends on IPv6 fragmentation when transmitting packets larger than
   the link MTU. If necessary, the length of OSPF packets can be up to
   65,535 bytes.  The OSPF packet types that are likely to be large
   (Database Description Packets, Link State Request, Link State Update,
   and Link State Acknowledgment packets) can usually be split into
   several separate protocol packets, without loss of functionality.
   This is recommended; IPv6 fragmentation should be avoided whenever
   possible.  Using this reasoning, an attempt should be made to limit
   the sizes of OSPF packets sent over virtual links to 1280 bytes
   unless Path MTU Discovery is being performed [Ref14].

	yasu